Upsert record by remote ID (create or update)
Upsert by remote ID: updates the existing user if a mapping is found (200), otherwise creates a new one and stores the mapping (201).
Path Parameters
- Type: stringremote
Id requiredRemote ID of record to be synchronized
- Type: stringremote
Application requiredName of remote application
Body·
required
application/json
Record data
- Type: array integer[]labels
Connected labels IDs
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/user/remote/{remoteId}/{remoteApplication}
curl 'https://test.boost.space/api/user/remote/{remoteId}/{remoteApplication}' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"createdUserId": 42,
"updated": "2026-01-15T09:30:00Z",
"updatedUserId": 42,
"labels": [
1
]
}'
{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"createdUserId": 42,
"updated": "2026-01-15T09:30:00Z",
"updatedUserId": 42,
"labels": [
1
]
}